Search:

# CWIS Developers Documentation

# File Class Reference

## Public Member Functions
| File ($IdOrFileName, $ResourceId=NULL, $FieldId=NULL, $DesiredFileName=NULL, $CheckFileLength=TRUE)
| Status ()
| Id ()
| Name ()
| GetLength ()
| GetType ()
| Comment ($NewValue=DB_NOVALUE)
| FieldId ($NewValue=DB_NOVALUE)
| ResourceId ($NewValue=DB_NOVALUE)
| GetMimeType ()
| GetLink ()
| Delete ()
| GetNameOfStoredFile ()
| UpdateValue ($FieldName, $NewValue)
## Public Attributes
const | FILESTAT_OK = 0
const | FILESTAT_COPYERROR = 1
const | FILESTAT_PARAMERROR = 2
const | FILESTAT_ZEROLENGTH = 3
const | FILESTAT_DOESNOTEXIST = 4
const | FILESTAT_UNREADABLE = 5
| $DB
| $Status
| $Id
| $DBFields

List of all members.

## Detailed Description

Definition at line 20 of file File.php.

## Member Function Documentation

File::Comment | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 145 of file File.php.

References UpdateValue().

File::Delete | ( |  | ) |

Definition at line 167 of file File.php.

References GetNameOfStoredFile(), and Id().

File::FieldId | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 147 of file File.php.

References UpdateValue().

File::File | ( | $ | IdOrFileName,
|  | $ | ResourceId = `NULL`,
|  | $ | FieldId = `NULL`,
|  | $ | DesiredFileName = `NULL`,
|  | $ | CheckFileLength = `TRUE` |
| ) |  |  |

Definition at line 34 of file File.php.

References $DB, FILESTAT_COPYERROR, FILESTAT_DOESNOTEXIST, FILESTAT_OK, FILESTAT_PARAMERROR, FILESTAT_UNREADABLE, FILESTAT_ZEROLENGTH, GetNameOfStoredFile(), Id(), and Status().

File::GetLength | ( |  | ) |

Definition at line 141 of file File.php.

File::GetLink | ( |  | ) |

Definition at line 160 of file File.php.

References Id().

File::GetMimeType | ( |  | ) |

Definition at line 153 of file File.php.

References GetType().

File::GetNameOfStoredFile | ( |  | ) |

Definition at line 177 of file File.php.

Referenced by Delete(), and File().

Here is the caller graph for this function:

File::GetType | ( |  | ) |

Definition at line 142 of file File.php.

Referenced by GetMimeType().

Here is the caller graph for this function:

File::Id | ( |  | ) |

Definition at line 139 of file File.php.

Referenced by Delete(), File(), GetLink(), and UpdateValue().

Here is the caller graph for this function:

File::Name | ( |  | ) |

Definition at line 140 of file File.php.

File::ResourceId | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 149 of file File.php.

References UpdateValue().

File::Status | ( |  | ) |

Definition at line 136 of file File.php.

Referenced by File().

Here is the caller graph for this function:

File::UpdateValue | ( | $ | FieldName,
|  | $ | NewValue |
| ) |  |  |

Definition at line 193 of file File.php.

References Id().

Referenced by Comment(), FieldId(), and ResourceId().

Here is the caller graph for this function:

## Member Data Documentation

File::$DB

Definition at line 187 of file File.php.

Referenced by File().

File::$DBFields

Definition at line 190 of file File.php.

File::$Id

Definition at line 189 of file File.php.

File::$Status

Definition at line 188 of file File.php.

const File::FILESTAT_COPYERROR = 1

Definition at line 27 of file File.php.

Referenced by File().

const File::FILESTAT_DOESNOTEXIST = 4

Definition at line 30 of file File.php.

Referenced by File().

const File::FILESTAT_OK = 0

Definition at line 26 of file File.php.

Referenced by File().

const File::FILESTAT_PARAMERROR = 2

Definition at line 28 of file File.php.

Referenced by File().

const File::FILESTAT_UNREADABLE = 5

Definition at line 31 of file File.php.

Referenced by File().

const File::FILESTAT_ZEROLENGTH = 3

Definition at line 29 of file File.php.

Referenced by File().

The documentation for this class was generated from the following file:

- File.php